diff --git a/index.d.ts b/index.d.ts
index df3f2e6..7a7a320 100644
--- a/index.d.ts
+++ b/index.d.ts
@@ -20,6 +20,14 @@ export interface Color {
     gray: Color;
     grey: Color;
 
+    brightRed: Color;
+    brightGreen: Color;
+    brightYellow: Color;
+    brightBlue: Color;
+    brightMagenta: Color;
+    brightCyan: Color;
+    brightWhite: Color;
+
     bgBlack: Color;
     bgRed: Color;
     bgGreen: Color;
@@ -29,6 +37,14 @@ export interface Color {
     bgCyan: Color;
     bgWhite: Color;
 
+    bgBrightRed: Color;
+    bgBrightGreen: Color;
+    bgBrightYellow: Color;
+    bgBrightBlue: Color;
+    bgBrightMagenta: Color;
+    bgBrightCyan: Color;
+    bgBrightWhite: Color;
+
     reset: Color;
     bold: Color;
     dim: Color;
@@ -66,6 +82,14 @@ export const white: Color;
 export const gray: Color;
 export const grey: Color;
 
+export const brightRed: Color;
+export const brightGreen: Color;
+export const brightYellow: Color;
+export const brightBlue: Color;
+export const brightMagenta: Color;
+export const brightCyan: Color;
+export const brightWhite: Color;
+
 export const bgBlack: Color;
 export const bgRed: Color;
 export const bgGreen: Color;
@@ -75,6 +99,14 @@ export const bgMagenta: Color;
 export const bgCyan: Color;
 export const bgWhite: Color;
 
+export const bgBrightRed: Color;
+export const bgBrightGreen: Color;
+export const bgBrightYellow: Color;
+export const bgBrightBlue: Color;
+export const bgBrightMagenta: Color;
+export const bgBrightCyan: Color;
+export const bgBrightWhite: Color;
+
 export const reset: Color;
 export const bold: Color;
 export const dim: Color;
@@ -107,6 +139,14 @@ declare global {
         gray: string;
         grey: string;
 
+        brightRed: string;
+        brightGreen: string;
+        brightYellow: string;
+        brightBlue: string;
+        brightMagenta: string;
+        brightCyan: string;
+        brightWhite: string;
+
         bgBlack: string;
         bgRed: string;
         bgGreen: string;
@@ -116,6 +156,14 @@ declare global {
         bgCyan: string;
         bgWhite: string;
 
+        bgBrightRed: string;
+        bgBrightGreen: string;
+        bgBrightYellow: string;
+        bgBrightBlue: string;
+        bgBrightMagenta: string;
+        bgBrightCyan: string;
+        bgBrightWhite: string;
+
         reset: string;
         // @ts-ignore
         bold: string;
diff --git a/lib/index.js b/lib/index.js
index 9df5ab7..8cdc29f 100644
--- a/lib/index.js
+++ b/lib/index.js
@@ -6,7 +6,7 @@ module['exports'] = colors;
 // If you don't wish to extend String.prototype, you can do this instead and
 // native String will not be touched:
 //
-//   var colors = require('colors/safe);
+//   var colors = require('@colors/colors/safe');
 //   colors.red("foo")
 //
 //
diff --git a/lib/system/has-flag.js b/lib/system/has-flag.js
index a347dd4..85f176a 100644
--- a/lib/system/has-flag.js
+++ b/lib/system/has-flag.js
@@ -25,7 +25,7 @@ SOFTWARE.
 'use strict';
 
 module.exports = function(flag, argv) {
-  argv = argv || process.argv;
+  argv = argv || process.argv || [];
 
   var terminatorPos = argv.indexOf('--');
   var prefix = /^-{1,2}/.test(flag) ? '' : '--';
diff --git a/safe.d.ts b/safe.d.ts
index 2bafc27..6958915 100644
--- a/safe.d.ts
+++ b/safe.d.ts
@@ -22,6 +22,14 @@ export function white(str: string): string;
 export function gray(str: string): string;
 export function grey(str: string): string;
 
+export function brightRed(str: string): string;
+export function brightGreen(str: string): string;
+export function brightYellow(str: string): string;
+export function brightBlue(str: string): string;
+export function brightMagenta(str: string): string;
+export function brightCyan(str: string): string;
+export function brightWhite(str: string): string;
+
 export function bgBlack(str: string): string;
 export function bgRed(str: string): string;
 export function bgGreen(str: string): string;
@@ -31,6 +39,14 @@ export function bgMagenta(str: string): string;
 export function bgCyan(str: string): string;
 export function bgWhite(str: string): string;
 
+export function bgBrightRed(str: string): string;
+export function bgBrightGreen(str: string): string;
+export function bgBrightYellow(str: string): string;
+export function bgBrightBlue(str: string): string;
+export function bgBrightMagenta(str: string): string;
+export function bgBrightCyan(str: string): string;
+export function bgBrightWhite(str: string): string;
+
 export function reset(str: string): string;
 export function bold(str: string): string;
 export function dim(str: string): string;
